OpenJPH: ojph::local::lifting_step::rev_data Struct Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::local::lifting_step::rev_data Struct Reference

`#include <ojph_params_local.h>`

## Public Attributes
ui8 | Eatk
si16 | Batk
si16 | Aatk

## Detailed Description

Definition at line 1112 of file ojph_params_local.h.

## Member Data Documentation

## ◆ Aatk

si16 ojph::local::lifting_step::rev_data::Aatk

Definition at line 1117 of file ojph_params_local.h.

Referenced by ojph::local::gen_rev_horz_ana32(), ojph::local::gen_rev_horz_ana64(), ojph::local::gen_rev_horz_syn32(), ojph::local::gen_rev_horz_syn64(), ojph::local::gen_rev_vert_step32(), ojph::local::gen_rev_vert_step64(), ojph::local::vsx_rev_horz_ana32(), ojph::local::vsx_rev_horz_ana64(), ojph::local::vsx_rev_horz_syn32(), ojph::local::vsx_rev_horz_syn64(), ojph::local::vsx_rev_vert_step32(), ojph::local::vsx_rev_vert_step64(), ojph::local::wasm_rev_horz_ana32(), ojph::local::wasm_rev_horz_ana64(), ojph::local::wasm_rev_horz_syn32(), ojph::local::wasm_rev_horz_syn64(), ojph::local::wasm_rev_vert_step32(), and ojph::local::wasm_rev_vert_step64().

## ◆ Batk

si16 ojph::local::lifting_step::rev_data::Batk

Definition at line 1115 of file ojph_params_local.h.

Referenced by ojph::local::gen_rev_horz_ana32(), ojph::local::gen_rev_horz_ana64(), ojph::local::gen_rev_horz_syn32(), ojph::local::gen_rev_horz_syn64(), ojph::local::gen_rev_vert_step32(), ojph::local::gen_rev_vert_step64(), ojph::local::vsx_rev_horz_ana32(), ojph::local::vsx_rev_horz_ana64(), ojph::local::vsx_rev_horz_syn32(), ojph::local::vsx_rev_horz_syn64(), ojph::local::vsx_rev_vert_step32(), ojph::local::vsx_rev_vert_step64(), ojph::local::wasm_rev_horz_ana32(), ojph::local::wasm_rev_horz_ana64(), ojph::local::wasm_rev_horz_syn32(), ojph::local::wasm_rev_horz_syn64(), ojph::local::wasm_rev_vert_step32(), and ojph::local::wasm_rev_vert_step64().

## ◆ Eatk

ui8 ojph::local::lifting_step::rev_data::Eatk

Definition at line 1114 of file ojph_params_local.h.

Referenced by ojph::local::gen_rev_horz_ana32(), ojph::local::gen_rev_horz_ana64(), ojph::local::gen_rev_horz_syn32(), ojph::local::gen_rev_horz_syn64(), ojph::local::gen_rev_vert_step32(), ojph::local::gen_rev_vert_step64(), ojph::local::vsx_rev_horz_ana32(), ojph::local::vsx_rev_horz_ana64(), ojph::local::vsx_rev_horz_syn32(), ojph::local::vsx_rev_horz_syn64(), ojph::local::vsx_rev_vert_step32(), ojph::local::vsx_rev_vert_step64(), ojph::local::wasm_rev_horz_ana32(), ojph::local::wasm_rev_horz_ana64(), ojph::local::wasm_rev_horz_syn32(), ojph::local::wasm_rev_horz_syn64(), ojph::local::wasm_rev_vert_step32(), and ojph::local::wasm_rev_vert_step64().

The documentation for this struct was generated from the following file:

- /build/openjph/src/OpenJPH/src/core/codestream/ojph_params_local.h